Archivo de la etiqueta: arch

Mi impresora Kyocera P5021cdw no imprime colores en Linux

Resulta que te has comprado una impresora Láser Color Kyocera P5021cdw e imprime de maravilla en Windows, pero no consigues que imprima en color en Linux, solo en blanco y negro.

Has instalado los drivers oficiales de Linux que proporciona Kyocera, has probado con AUR (paquete kyocera-ecosys-m552x-p502x). Has toqueteado todas las configuraciones, pero da igual, sigue imprimiendo en blanco y negro por mucho que insistas. Mientras tanto Windows no tiene ningún problema con el color.

Bien, lo cierto es que no hay ningún problema con los drivers de Linux de Kyocera. Funcionan perfectamente. El problema lo tienes con una configuración oculta de tu Linux.

Para acceder a ella, instala el paquete system-config-printer o asegúrate de que está instalado. Ábrelo, desbloquéalo para que te deje acceder al modo root. Ahora abre la impresora y vete a la pestaña «Opciones de Trabajo». Ahí abajo, casi al final, hay una opción que dice «print-color-mode», y resulta que por defecto está seleccionado «monochrome». Pues cámbialo a color y guarda.

Hala, ya está. De nada.

Falla la actualización del paquete antergos-keyring en Antergos

Es un fallo que me ha ocurrido estos días. Intento actualizar el paquete antergos-keyring pero falla diciendo que el paquete no es válido o está dañado (firma PGP). Aún peor, en los días siguientes empiezan a fallar las actualizaciones de nuevos paquetes por el mismo motivo. Si haces un pacman en consola te dice esto:

fish [:0]-[pts/1:0.32]-[lacofi@cecile (~) <0>]->sudo pacman -S antergos-keyring
resolviendo dependencias…
buscando conflictos entre paquetes…
Paquetes (1) antergos-keyring-20170524-1
Tamaño total de la descarga: 0,01 MiB
Tamaño total de la instalación: 0,04 MiB
Tamaño neto tras actualizar: 0,00 MiB
:: ¿Continuar con la instalación? [S/n] 
:: Recibiendo los paquetes…
 antergos-keyring-20170524-1-any 14,6 KiB 488K/s 00:00 [####################################################] 100%
(1/1) comprobando las claves del depósito [####################################################] 100%
(1/1) verificando la integridad de los paquetes [####################################################] 100%
error: antergos-keyring: signature from "Antergos Build Server (Automated Package Build System) <admin@antergos.org>" is unknown trust
:: El archivo /var/cache/pacman/pkg/antergos-keyring-20170524-1-any.pkg.tar.xz está dañado (paquete no válido o dañado (firma PGP)).
¿Quiere eliminarlo? [S/n] 
error: no se pudo realizar la operación (paquete no válido o dañado (firma PGP))
Ocurrieron errores, por lo que no se actualizaron los paquetes

Vale, se trata de un error simple: intenta actualizar el paquete con las claves de autentificación, pero no puede actualizarlo porque no tiene las claves para autentificarlo. La solución es también simple. Edita tu fichero /etc/pacman.conf y dile que si no puede comprobar las claves da igual. Para ello cambia la línea que pone:

SigLevel = Required DatabaseOptional

Por esta otra:

SigLevel = Optional TrustAll

Ahora actualiza tu sistema. Y luego vuelve a dejar el fichero pacman.conf como estaba, obviamente.